@setlocal
@echo Off

REM Copyright (c) 2002 IBM Corp. - All Rights Reserved.
REM IBM makes no representations or warranties about the suitability of
REM this program, either express or implied, including but not limited to 
REM the implied warranties of merchantability, fitness for a particular 
REM purpose, or non-infringement.

REM Get the directory where the WebSphere Business Connection is installed.

REM Get WBC Install Dir

@GetInput F_WBC_HOME "Enter the directory where the IBM WebSphere Business Connection is installed: " ~wbchome.bat
@call ~wbchome.bat
@del ~wbchome.bat

echo The WebSphere Business Connection is installed in %F_WBC_HOME% > %F_WBC_HOME%\wbc_fixpack_2.log

REM Creating the backup jar. 
REM Creating the backup jar. >> %F_WBC_HOME%\wbc_fixpack_2.log

@call CreateBackup.bat %F_WBC_HOME%

REM Installing the FIXPACK
echo Installing the FIXPACK >>%F_WBC_HOME%\wbc_fixpack_2.log

@echo Installing the FIXPACK. Please wait...

set tmpdir=%cd%
cd %F_WBC_HOME%

jar -xvf %tmpdir%\wbc_1.1.1_win_fixpack_2.jar >>%F_WBC_HOME%\wbc_fixpack_2.log 2>&1

@echo Done Installing.

copy %tmpdir%\uninstall_fixpack_2.bat %F_WBC_HOME% >>%F_WBC_HOME%\wbc_fixpack_2.log

@echo Done Installing.>>%F_WBC_HOME%\wbc_fixpack_2.log

@endlocal

