#!/bin/sh
#
# Data Source Setup - IBM WebServices Gateway
#
# The arguments are:
# "1: WebServices Gateway install dir(current folder)"
# "2: WebSphere nodename"
# "3: WebSphere AppServer dir"
# "4: WSGW_HOME"
# "5: WAS_HOST"
# "6: WAS_PORT"

echo "Please wait while the enterprise applications are being deployed..."
$3/bin/XMLConfig.sh -adminNodeName $2 -nameServiceHost $5 -nameServicePort $6 -import $1/wsgwserverX.xml -substitute "was.install.root=$3;server_root=$3;com.ibm.ejs.sm.adminServer.primaryNode=$2;;wsgwhome=$4" 
echo "Regenerating plugin configuration..."
$3/bin/GenPluginCfg.sh -adminNodeName $2 -nameServiceHost $5 -nameServicePort $6
