@setLocal
@echo oFF
REM
REM ************************************************************************
REM * Date         Initial     Defect     Desc                             *
REM * 04/09/03     sna	         78       To remove the WSGWDB creation    *
REM *                                     as the db is no longer required  *
REM ************************************************************************

REM                  IBM WebSphere Gateway Install
Set COPYCMD=/Y


:check_was_home
@if (%WAS_HOME%) == () goto prompt_was_home
@set F_WAS_HOME=%WAS_HOME%
@goto verify_was_home


:prompt_was_home
if (%SILENT%) == (true) goto usage
Get WAS Install Dir
@GetInput F_WAS_HOME "Enter the directory where the IBM WebSphere Application Server is installed: " ~washome.bat
@call ~washome.bat
@del ~washome.bat

:verify_was_home
@Rem IF  NOT EXIST  %F_WAS_HOME%\properties\com\ibm\websphere\product.xml   goto bad_was_home

:prompt_was_host
GetInput WAS_HOST "Enter the WAS Service host name : " ~washost.bat
@call ~washost.bat
@del ~washost.bat

:prompt_was_port
GetInput WAS_PORT "Enter the WAS Service port number (bootstrap Port): " ~was_port.bat
@call ~was_port.bat
@del ~was_port.bat

:Stop_Admin_server
@net stop "IBM HTTP Administration"
@net stop "IBM HTTP Server"
@net.exe stop "IBM WS AdminServer 4.0"

:Copy_files
@call FileCopy %F_WAS_HOME% %WSGW_HOME% > FileCopy.log

:Start_Admin_server
@net start "IBM HTTP Administration"
@net start "IBM HTTP Server"
@net start "IBM WS AdminServer 4.0"

:create_appserver_applications
@echo Please wait while the Web Services Gateway Enterprise Applications are installed
@wsgwdeploy %WSGW_HOME% %WAS_HOST% %WAS_PORT% > wsgwinstall.log

