#!/bin/ksh 
# Copyright (c) 2002 IBM Corp. - All Rights Reserved.
# IBM makes no representations or warranties about the suitability of
# this program, either express or implied, including but not limited to rem the implied warranties of merchantability, fitness for a particular
# purpose, or non-infringement.
#
#############################################################################
#
#    Date   Initials   Defect    Description
#  11/08/02   MRW       1962     run script in korn shell
#
#  02/24/03   SGS       47	 Take boot strap port as a parameter.
#
#  03/20/03   SNA       78       Remove WSGW Database creation
#
# This file is the starting point for Auto-config for WBC Express.

echo "IMPORTANT: Please make sure your WebSphere Server on your machine is NOT running before running this script."
echo             "Configure will not run properly if your Appserver is running."
echo "Please enter the directory where WAS is installed :"
read washome
echo "Please enter the node name where your WAS is installed:"
read nodename
echo "Please enter the install location of WSGW:"
read WSGW_HOME
echo "Please enter the WAS host name :"
read washost
echo "Please enter the WAS bootstrap Port :"
read wasport

./FileCopy.sh $washome $WSGW_HOME >FileCopy.log
echo "Starting WAS Server ...."

$washome/bin/startupServer.sh&
sleep 90
echo "Running XMLconfig on WAS ...."
./WSGWDeploy.sh $WSGW_HOME/install $nodename $washome $WSGW_HOME $washost $wasport >$washome/logs/WSGWDeploy.log

